<template>
	<view class="handlecase">
		<List class="caseList" v-for="(item,index) in caseList" :defalutVal='item' :key="index"></List>
		<view class="emptyBox" v-if="caseList.length == 0">
			<luanqing-empty :show="true" textColor="#000"></luanqing-empty>
		</view>
	</view>
</template>

<script>
	import List from './component/list.vue'
	import {
		caseApplicationList
	} from '../../api/handlecase/index.js'
	import LuanqingEmpty from "@/components/luanqing-empty.vue"
	export default {
		components: {
			List,
			'luanqing-empty': LuanqingEmpty,
		},
		data() {
			return {
				caseList: [],
				pageNum: 1,
				pageSize: 10
			}
		},
		methods: {
			getList(parms) {
				uni.showLoading()
				caseApplicationList(parms).then(res => {
					uni.hideLoading()
					this.caseList = res.rows;
					this.caseList.forEach(item => {
						switch (item.caseStatus) {
							case 0:
								item.caseStatusName = '立案申请'
								break;
							case 1:
								item.caseStatusName = '待缴费'
								break;
							case 2:
								item.caseStatusName = '待缴费确认'
								break;
							case 3:
								item.caseStatusName = '待确认是否应诉'
								break;
							case 4:
								item.caseStatusName = '待确认证据'
								break;
							case 5:
								item.caseStatusName = '待确定是否指派仲裁员'
								break;
							case 6:
								item.caseStatusName = '待组庭'
								break;
							case 7:
								item.caseStatusName = '待组庭确定'
								break;
							case 8:
								item.caseStatusName = '待组庭审核'
								break;
							case 9:
								item.caseStatusName = '待选择仲裁方式'
								break;
							case 10:
								item.caseStatusName = '待开庭'
								break;
							case 11:
								item.caseStatusName = '待生成仲裁文书'
								break;
							case 12:
								item.caseStatusName = '待确认仲裁文书'
								break;
							case 13:
								item.caseStatusName = '待仲裁文书用印'
								break;
							case 14:
								item.caseStatusName = '待仲裁文书用印审核'
								break;
							case 15:
								item.caseStatusName = '待仲裁文书送达'
								break;
							case 16:
								item.caseStatusName = '待案件归档'
								break;
						}
					})
				})
			},
			// 触底
			onReachBottom() {
				if (this.caseList.length < 1) {
					return
				}
				let obj = {
					caseStatusList: [13],
					pageNum: this.pageNum,
					pageSize: this.pageSize
				}
				obj.pageNum = obj.pageNum + 1
				this.getList(obj)
			}
		},
		onLoad() {
			let obj = {
				caseStatusList: [13],
				pageNum: this.pageNum,
				pageSize: this.pageSize
			}
			this.getList(obj)
		}
	}
</script>

<style lang="scss">
	.handlecase {
		.caseList {
			// height: 360rpx;
			// background-color: #ffffff;
			// border-radius: 30rpx;
			// margin-top: 20rpx;
		}
	}
</style>